#ifndef XCSTATICMODELS_H
#define XCSTATICMODELS_H

#include "xasset.h"
#include "xcstaticmodelwritable.h"
#include "xmodel.h"

class XCStaticModel : public XAsset
{
public:
    explicit XCStaticModel();
    ~XCStaticModel();

    void ParseData(XDataStream *aStream) override;
    void Clear() override;

private:
    XCStaticModelWritable mWritable;
    XModel mModel;
    QVector3D mOrigin;
    QVector<QVector3D> mInvScaledAxis;
    QVector3D mAbsmin;
    QVector3D mAbsmax;
};

#endif // XCSTATICMODELS_H
